%global varnishver %(pkg-config --silence-errors --modversion varnishapi || echo 0)

Summary:       A collection of modules ("vmods") extending Varnish VCL
Name:          varnish-modules
Version:       0.21.0
Release:       4%{?dist}
License:       BSD
URL:           https://github.com/varnish/varnish-modules
Source:        https://github.com/varnish/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc make
BuildRequires: varnish pkgconfig(varnishapi)
BuildRequires: python3-docutils

Requires:      varnish = %varnishver
Provides:      vmod(accept) = %{version}-%{release}
Provides:      vmod(bodyaccess) = %{version}-%{release}
Provides:      vmod(header) = %{version}-%{release}
Provides:      vmod(saintmode) = %{version}-%{release}
Provides:      vmod(tcp) = %{version}-%{release}
Provides:      vmod(var) = %{version}-%{release}
Provides:      vmod(vsthrottle) = %{version}-%{release}
Provides:      vmod(xkey) = %{version}-%{release}
Provides:      vmod(str) = %{version}-%{release}

%description
This is a collection of modules ("vmods") extending Varnish VCL used
for describing HTTP request/response policies with additional capabilities.
This collection contains the following vmods: bodyaccess, header, saintmode,
tcp, var, vsthrottle, xkey


%prep
%autosetup


%build
export RST2MAN=rst2man
%configure 
%make_build


%install
%make_install docdir=%_pkgdocdir
find %{buildroot}/%{_libdir}/ -name '*.la' -delete
rm %{buildroot}%{_pkgdocdir}/LICENSE


%check
%make_build check VERBOSE=1


%files
%license LICENSE COPYING
%doc AUTHORS CHANGES.rst README.md
%{_libdir}/varnish/vmods/*
%{_mandir}/man3/*.3*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 20 2023 rockerzhu <rockerzhu@tencent.com> - 0.21.0-1
- Initial build
